%define	oname	FreeFileSync

%define __unzip	%{_bindir}/unzip -o

Name:		freefilesync
Version:	13.7
Release:	%mkrel 2
Summary:	A free file sync tool
Group:		File tools
License:	GPLv3
Url:		https://freefilesync.org/
Source0:	https://freefilesync.org/download/FreeFileSync_%{version}_Source.zip
Source2:	FreeFileSync.desktop
Source3:	RealTimeSync.desktop
Source4:	FreeFileSync.png
Source5:	RealTimeSync.png
Patch1:		ffs_devuan_gtk3.patch
Patch3:		ffs_icon_loader.patch
#Patch4:		ffs_no_check_updates.patch
Patch5:		ffs_sftp.patch
Patch6:		libssh2_relax_dep.patch
Patch10:	FreeFileSync-compiler-flags.patch
Patch11:	FreeFileSync-ffsVersionIcon.patch
Patch21:	FreeFileSync-remove_ifdef_exceptions.patch
Patch22:	FreeFileSync-fix-building-with-gcc14.patch
BuildRequires:	imagemagick
BuildRequires:	gtkmm3.0-devel
BuildRequires:	wxgtk-devel
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	ssh2-devel >= 1.11.0
BuildRequires:	unzip
BuildRequires:	gtk+3.0-devel
BuildRequires:	openssl-devel

%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -q -c %{name}-%{version}
%autopatch -p1

%build
# FFS
%make_build -C \
	FreeFileSync/Source \
	EXENAME=FreeFileSync

# RTS
%make_build -C \
	FreeFileSync/Source/RealTimeSync \
	EXENAME=RealTimeSync

%install
for i in FreeFileSync RealTimeSync; do
  install -Dpm755 FreeFileSync/Build/Bin/$i* %{buildroot}%{_bindir}/$i
done

mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -aT FreeFileSync/Build/Resources %{buildroot}%{_datadir}/%{name}

install -Dm644 %{_sourcedir}/%{oname}.desktop \
        %{buildroot}%{_datadir}/applications/%{oname}.desktop

install -Dm644 %{_sourcedir}/RealTimeSync.desktop \
        %{buildroot}%{_datadir}/applications/RealTimeSync.desktop

install -Dm644 %{_sourcedir}/FreeFileSync.png \
        %{buildroot}%{_iconsdir}/hicolor/256x256/apps/FreeFileSync.png

install -Dm644 %{_sourcedir}/RealTimeSync.png \
        %{buildroot}%{_iconsdir}/hicolor/128x128/apps/RealTimeSync.png

rm -rf %{buildroot}%{_docdir}/%{oname}

%files
%{_bindir}/FreeFileSync
%{_bindir}/RealTimeSync
%{_datadir}/%{name}/
%{_datadir}/applications/FreeFileSync.desktop
%{_datadir}/applications/RealTimeSync.desktop
%{_iconsdir}/hicolor/*/apps/FreeFileSync.png
%{_iconsdir}/hicolor/*/apps/RealTimeSync.png


%changelog
* Mon Oct 21 2024 daviddavid <daviddavid> 13.7-2.mga10
+ Revision: 2109149
- add missing desktop icons (mga#33654)
- build again with our compiler and linker flags

* Thu Oct 17 2024 ns80 <ns80> 13.7-1.mga10
+ Revision: 2107760
- new version: 13.7
- try to fix building with GCC 14

* Sun Oct 15 2023 wally <wally> 13.0-1.mga10
+ Revision: 1996909
- new version 13.0

* Sat Jul 16 2022 wally <wally> 11.22-1.mga9
+ Revision: 1869173
- new version 11.22
- rebuild for wxgtk 3.1.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 11.15-2.mga9
+ Revision: 1768492
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 11.15-1.mga9
+ Revision: 1765906
- new version 11.15
- add SUSE patch to fix build with glib2.0
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error
- rebuild for openssl 3.0.0

* Fri Jan 01 2021 wally <wally> 11.3-2.mga8
+ Revision: 1667700
- rebuild for wxgtk pre 3.1.5 snapshot

* Mon Nov 09 2020 wally <wally> 11.3-1.mga8
+ Revision: 1644147
- new version 11.3
- rebuild for new wxgtk 3.1.4
+ ovitters <ovitters>
- drop Mageia specific category from desktop file (mga#2449)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 10.19

* Tue Nov 12 2019 wally <wally> 10.13-4.mga8
+ Revision: 1459463
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 10.13-3.mga8
+ Revision: 1419528
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 10.13-2.mga8
+ Revision: 1419409
- update app menu icons

* Sun Jul 07 2019 wally <wally> 10.13-1.mga8
+ Revision: 1419404
- new version 10.13
- build with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 9.6-2.mga7
+ Revision: 1297769
- Mageia 7 Mass Rebuild

* Tue Jan 09 2018 wally <wally> 9.6-1.mga7
+ Revision: 1191918
- new version 9.6
- add build fixes from AUR
- add patch to fix missing includes
- rebuild for new boost

* Sat Jun 03 2017 akien <akien> 6.2-12.mga6
+ Revision: 1106094
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 6.2-11.mga6
+ Revision: 1019876
- rebuild for wxgtk3.0 built with GTK2

* Sat Dec 26 2015 daviddavid <daviddavid> 6.2-10.mga6
+ Revision: 915175
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 6.2-9.mga6
+ Revision: 883700
- rebuild for new boost 1.59.0

* Fri Aug 14 2015 daviddavid <daviddavid> 6.2-8.mga6
+ Revision: 864766
- fix missing icon for desktop file (mga#14750)
- add BuildRequires on imagemagick
+ ycantin <ycantin>
- rebuild for new wxgtk built with wxRE_ADVANCED

* Fri Jul 31 2015 daviddavid <daviddavid> 6.2-6.mga6
+ Revision: 859997
- rebuild for new boost-1.58.0

* Thu Jul 23 2015 philippem <philippem> 6.2-5.mga6
+ Revision: 856572
- fix rebuild for new wxgtk built with gtk3
+ daviddavid <daviddavid>
- rebuild for new wxgtk built with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 6.2-4.mga5
+ Revision: 744369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2-3.mga5
+ Revision: 679336
- Mageia 5 Mass Rebuild

* Fri Feb 21 2014 wally <wally> 6.2-2.mga5
+ Revision: 595247
- drop P0 and handle setting build time flags with sed magic

* Fri Feb 21 2014 wally <wally> 6.2-1.mga5
+ Revision: 595240
- add build fixes from AUR
- bundle latest zenXml with sources and build with it
- clean .spec a bit
+ fwang <fwang>
- new version  6.2

* Sat Oct 19 2013 umeabot <umeabot> 5.10-5.mga4
+ Revision: 529411
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 5.10-4.mga4
+ Revision: 451793
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 5.10-3.mga3
+ Revision: 409674
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 5.10-2.mga3
+ Revision: 350851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 5.10-1.mga3
+ Revision: 333044
- new version 5.10

* Thu Dec 20 2012 fwang <fwang> 5.9-2.mga3
+ Revision: 333034
- rebuild for new boost

* Mon Nov 05 2012 juancho <juancho> 5.9-1.mga3
+ Revision: 314485
- imported package freefilesync


* Mon Nov 05 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.9-3.bdk.mga2
- new version 5.9

* Mon Jun 04 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.4-1.bdk.mga2
- new version 5.4

* Sun May 27 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.3-1.bdk.mga2
- Packaged to Mageia 2 (Blogdrake Repository)

* Tue Feb 28 2012 Andrey Bondrov <abondrov@mandriva.org> 5.0-1mdv2012.0
+ Revision: 781312
- imported package freefilesync

* Tue Feb 03 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.0-6.bdk.mga
- new version 5.0

* Mon Nov 28 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.5-5.bdk.mga
- new version 4.5

* Mon Oct 10 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.1-4.bdk.mga
- new version 4.1

* Mon Sep 26 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.0-3.bdk.mga
- new version 4.0

* Wed Sep 21 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 3.21-2.bdk.mga
- new version 3.21

* Fri Jul 15 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 3.11-1.bdk.mga
- Packaged to Mageia (Blogdrake Repository)

